"{ Package: 'stx:goodies/ring/core/tests' }"

"{ NameSpace: Smalltalk }"

RGTest subclass:#RGPoolVariableTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Ring-Tests-Core'
!

RGPoolVariableTest comment:''
!

!RGPoolVariableTest methodsFor:'tests'!

testPoolVariableImplicitEnvironment

    | poolVariable |
    
    poolVariable := RGPoolVariable unnamed.
    self assert: (poolVariable hasUnresolved: #name).
    self assert: (poolVariable parent isClass).
    self checkImplicitSingleClassEnvironmentOf: poolVariable parent.
    
    
    
    
!

testResolvingConsistency

    | anObject |
    anObject := RGPoolVariable unnamed.
    self checkClassesConsistency: anObject and: anObject makeResolved
! !

